"""empty message

Revision ID: 3f44ca212eac
Revises: 347fdb6120bd
Create Date: 2021-09-03 11:30:16.180751

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3f44ca212eac'
down_revision = '347fdb6120bd'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('cell_board_id_row_name_col_name_key', 'cell',
                       type_='unique')
    op.drop_column('cell', 'row_name')
    op.drop_column('cell', 'col_name')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        'cell',
        sa.Column(
            'col_name',
            postgresql.ENUM(
                'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'K',
                name='columnname'
            ),
            autoincrement=False,
            nullable=False
        )
    )
    op.add_column(
        'cell',
        sa.Column(
            'row_name',
            postgresql.ENUM(
                'One', 'Two', 'Three', 'Four', 'Five',
                'Six', 'Seven', 'Eight', 'Nine', 'Ten',
                name='rowname'
            ),
            autoincrement=False,
            nullable=False
        )
    )
    op.create_unique_constraint('cell_board_id_row_name_col_name_key', 'cell',
                                ['board_id', 'row_name', 'col_name'])
    # ### end Alembic commands ###
